Skip to Content

SAP GUI Installation issues

Hello,

My system set up is as follows:

Mac running OS X 10.9.8

Virtual machine running using VMWare Fusion 5.0.4, which then runs Windows 8.

I have installed SAP GUI 730, with details as shown below.

File version 7300.2.4.1083

Patch level 4

When I try and change the settings to Front-End Editor (New) the option does not exist. I not sure why, can any one shed any light please.

I have searched the forums but with no luck.

Regards

Tim

pastedImage_0.png (10.5 kB)
pastedImage_1.png (25.2 kB)
Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • Best Answer
    May 23, 2014 at 09:59 AM

    Hello Guys,

    I think the issue is resolved.

    I was logging on to a clients ECC5 system and I don't think the Front-End Editor (New) is avialable in ECC5.

    I have now logged onto another client using the same logon pad and I can now see the Front-End Editor (New).

    Many thanks for your time and effort.

    Tim

    Add comment
    10|10000 characters needed characters exceeded

  • May 22, 2014 at 05:06 PM

    Hello Tim,

    I am guessing the problem may be related to the fact you are using VMWare on MAC OS. The "new" ABAP editor requires access to specific library .

    i.e from note 454939 ->   Some ActiveX-controls part of SAP GUI for Windows used for special purposes are not available as JavaBean in SAP GUI for Java, for example "new ABAP editor" (note 843289) 

    just quick guess.

    Regards,

    Eric Van de Catsije

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 20, 2014 at 09:49 PM

    Hello Tim,

    Why are you not  using the latest patch 9? Did you have a previous version of the SAP GUI installed?

    Do you have access to "SAP Note 1962714 - ABAP Editor - no access to %appdata% directory.  This issue is more likely to happen in a virtualized desktop environment."

    Make sure that your user has (changeable) access to the directory in the %appdata% environment variable.


    Cheers,

    Dan Mead

    Add comment
    10|10000 characters needed characters exceeded

  • May 20, 2014 at 09:53 PM

    Hi Tim,

    I'm not sure whether this option is controlled by your SAPGUI version or by the NetWeaver version on the back end.  In any case, there are definitely newer patch levels for the 7.30 GUI (pl9 was released a day or so ago), and Windows 8 compatibility has been one of the big things fixed in some of those patches.  I believe at pl4 you are ok for Win8, but if you are actually using Win8.1 you need at least pl6 to be compatible.

    I am currently using GUI 7.30 pl 8 hotfix 1 on Windows 7, with a NetWeaver 7.01 backend, 720 kernel with pl500, Basis sp 701.13, and I do have the options for new and old front-end editor in the ABAP workbench settings.  I have some other options and some minor text changes showing as well compared to your screenshot:

    Regards,

    Matt

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hello Matt and Tm,

      One of the important items to check prior to installing on any Windows 8.1 OS is to ensure NwSapSetup.exe is running at least version 9.0.39 which fully supports Windows 8, Windows Server 2012, Windows 8.1 and windows Server 2012 R2.  The current version is 9.0.46.

      Cheers,

      Dan Mead